#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, k, x, t;
    cin>>n>>k>>x;
    int niz[n];

    t = (n*(n-1))/2 - k;
    cout<<"t: "<<t<<endl;
    for(int i = n-1; i >= 0; i --)
    {
        cout<<i*x+1-t<<endl;
        if(t>0)
            t--;
    }



    return 0;
}